#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
#
# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# cmd/Makefile.targ
# common target definitions for command builds
#

#
# Conditional assignment of default group/owner/permissions for SMF
# manifests and method scripts.
#
$(ROOTMANIFEST) :=	OWNER= root
$(ROOTMANIFEST) :=	GROUP= sys
$(ROOTMANIFEST) :=	FILEMODE= 444
$(ROOTSVCBIN) :=	OWNER= root
$(ROOTSVCBIN) :=	GROUP= bin
$(ROOTSVCBIN) :=	FILEMODE= 544

clobber: clean
	-$(RM) $(PROG) $(CLOBBERFILES)

lint_PROG:	$$(PROG).c
	$(LINT.c) $(PROG).c $(LDLIBS)

lint_SRCS:	$$(SRCS)
	$(LINT.c) $(SRCS) $(LDLIBS)

$(ROOTCMDDIR)/%: $(ROOTCMDDIR) %
	$(INS.file)

$(ROOTCMDDIR) $(ROOTCMDDIR64):
	$(INS.dir)

$(ROOTCMDDIR64)/%: $(ROOTCMDDIR64) %
	$(INS.file)

$(ROOTMANIFEST): $(ROOTMANIFESTDIR)

$(ROOTMANIFESTDIR):
	$(INS.dir)

$(ROOTMANIFESTDIR)/%: %
	$(INS.file)

$(KSHPROG): $(KSHPROG).ksh
	$(RM) $@
	sed -e "s/TEXT_DOMAIN/${TEXT_DOMAIN}/g" $(KSHPROG).ksh > $@
	$(CHMOD) +x $@

#
# For message catalogue files
#
_msg: $(MSGDOMAIN) $(POFILE)
	$(RM) $(MSGDOMAIN)/$(POFILE)
	$(CP) $(POFILE) $(MSGDOMAIN)

# the build of the $(DCFILE) should be defined locally
# its .dc extension gets renamed to .po upon installation
#
_dc: $(DCMSGDOMAIN) $(DCFILE)
	$(RM) $(DCMSGDOMAIN)/$(DCFILE)
	$(CP) $(DCFILE) $(DCMSGDOMAIN)/$(DCFILE:.dc=.po)

$(MSGDOMAIN) $(DCMSGDOMAIN):
	$(INS.dir)
